FNAME(3pub)

NAME
fnbase, fndelbeg, fndelend, fndelsuf, fndir, fnhome, fnjoin, fnlastsuf, fnsetsuf - filename manipulation

SYNOPSIS
#include <publib.h>

char *fnbase(const char *fname);
void fndelbeg(char *fname);
void fndelend(char *fname);
int fndelsuf(char *fname, const char *suffix);
void fndir(char *dir, const char *fname);
int fnhome(char *homedir, const char *username);
void fnjoin(char *res, const char *f1, const char *f2);
char *fnlastsuf(const char *fname);
size_t fnsetsuf(char *fname, const char *suf, size_t max);

DESCRIPTION
These routines manipulate POSIX-style filenames. This manual page is still under construction.

SEE ALSO
publib(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)